﻿using ProRestaurant.Models.Restaurants;
using System.Collections.Generic;
using System.Security.Permissions;

namespace ProRestaurant.Containers
{
    public class RestaurantContainer : Restaurant
    {
        public string UserFirstName { get; set; }
        public string UserSurname { get; set; }        
        public string UserEmailAddress { get; set; }
        public string UserPassword { get; set; }

        public List<TradingHoursContainer> THours { get; set; }        
        public string Result { get; set; }        
    }

    public class RestaurantCard
    {
        public int Id { get; set; }
        public string Logo { get; set; }
        public string Name { get; set; }
        public string Suburb { get; set; }
        public string SubText { get; set; }
        public string DeliveryTime { get; set; }
        public string DeliveryFee { get; set; }
    }

    public class RestaurantDetails : Restaurant
    {
        public List<string> SelectedMethodsOfPayments { get; set; }
        public List<Category> SavedCategories { get; set; }
        public List<TradingHoursContainer> SavedTradingHours { get; set; }
        public int DeliveryFrom { get; set; }
        public int DeliveryTo { get; set; }
    }

    public class Category
    {
        public string Description { get; set; }
    }
}
